summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-11-11 19:41:22 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-11-11 19:41:22 (GMT)
commit89f4822308f3985112a7dbc62bcd68e4081e1961 (patch)
treea75ec6439a671436e1928c2111492e7c8f8bacd5 /abs
parent9f53fe068a7c3690a54ced1804e62ae36b06f1f4 (diff)
downloadlinhes_pkgbuild-89f4822308f3985112a7dbc62bcd68e4081e1961.zip
linhes_pkgbuild-89f4822308f3985112a7dbc62bcd68e4081e1961.tar.gz
linhes_pkgbuild-89f4822308f3985112a7dbc62bcd68e4081e1961.tar.bz2
spidermonkey: recompile
Diffstat (limited to 'abs')
-rw-r--r--abs/extra/spidermonkey/PKGBUILD30
-rw-r--r--abs/extra/spidermonkey/header.patch12
-rw-r--r--abs/extra/spidermonkey/spidermonkey-Makefile.patch22
3 files changed, 39 insertions, 25 deletions
diff --git a/abs/extra/spidermonkey/PKGBUILD b/abs/extra/spidermonkey/PKGBUILD
index 3a44af3..e923cbe 100644
--- a/abs/extra/spidermonkey/PKGBUILD
+++ b/abs/extra/spidermonkey/PKGBUILD
@@ -1,27 +1,31 @@
+# $Id: PKGBUILD 55903 2009-10-15 23:18:35Z andrea $
+# Contributor: Aaron Griffin <aaron@archlinux.org>
+
pkgname=spidermonkey
pkgver=1.7.0
-pkgrel=2
+pkgrel=3
pkgdesc="Mozilla's C implementation of JavaScript."
arch=("i686" "x86_64")
url="http://www.mozilla.org/js/spidermonkey/"
license=('MPL' 'GPL' 'LGPL')
depends=('nspr')
-options=('!makeflags' 'force')
+options=('!makeflags')
source=("http://ftp.mozilla.org/pub/mozilla.org/js/js-$pkgver.tar.gz" \
- "spidermonkey-1.7-threadsafe.patch" "header.patch")
-md5sums=('5571134c3863686b623ebe4e6b1f6fe6' 'b2ef9be017b6aa1857354b5223975a4f')
+ "spidermonkey-1.7-threadsafe.patch" "spidermonkey-Makefile.patch")
+md5sums=('5571134c3863686b623ebe4e6b1f6fe6'
+ 'b2ef9be017b6aa1857354b5223975a4f'
+ '161d4c0f2c604d15cba29dab60b1f7a7')
-build()
-{
- cd $startdir/src/js/src
+build() {
+ cd "$srcdir/js/src"
+ patch -p0 < "$srcdir/spidermonkey-Makefile.patch" || return 1
+ sed -i 's|include|include/js|' rules.mk || return 1
# fix for the lib location
[ "$CARCH" = "x86_64" ] && (sed -i -e "s:lib64:lib:g" config.mk || return 1)
# patch Makefile for threadsafe support with native nspr
- patch -p2 -i $startdir/src/spidermonkey-1.7-threadsafe.patch || return 1
- patch -p2 -i $startdir/src/header.patch || return 1
+ patch -p2 -i "$srcdir/spidermonkey-1.7-threadsafe.patch" || return 1
+ # FS#16673
+ export CFLAGS="${CFLAGS} -DJS_C_STRINGS_ARE_UTF8"
# build - threadsafe
- make -f Makefile.ref BUILD_OPT=1 JS_THREADSAFE=1 DIST=$startdir/pkg/usr all export || return 1
- # install
- mkdir -p $startdir/pkg/usr/include/js
- mv $startdir/pkg/usr/include/*.h $startdir/pkg/usr/include/js/
+ make -f Makefile.ref BUILD_OPT=1 JS_THREADSAFE=1 DIST="$pkgdir/usr" all export || return 1
}
diff --git a/abs/extra/spidermonkey/header.patch b/abs/extra/spidermonkey/header.patch
deleted file mode 100644
index b69caae..0000000
--- a/abs/extra/spidermonkey/header.patch
+++ /dev/null
@@ -1,12 +0,0 @@
-diff -aur js.orig/src/Makefile.ref js/src/Makefile.ref
---- js.orig/src/Makefile.ref 2008-07-18 21:05:37.154351682 +0800
-+++ js/src/Makefile.ref 2008-07-18 21:06:39.291061725 +0800
-@@ -188,6 +188,8 @@
- jsstr.h \
- jsxdrapi.h \
- jsxml.h \
-+ jsutil.h \
-+ jsprf.h \
- $(NULL)
-
- API_HFILES = \
diff --git a/abs/extra/spidermonkey/spidermonkey-Makefile.patch b/abs/extra/spidermonkey/spidermonkey-Makefile.patch
new file mode 100644
index 0000000..abf1f31
--- /dev/null
+++ b/abs/extra/spidermonkey/spidermonkey-Makefile.patch
@@ -0,0 +1,22 @@
+*** Makefile.ref.orig 2009-02-16 09:56:29.000000000 -0600
+--- Makefile.ref 2009-02-16 09:58:59.000000000 -0600
+***************
+*** 169,184 ****
+--- 169,185 ----
+ jstypes.h \
+ jsprvtd.h \
+ jspubtd.h \
+ jsregexp.h \
+ jsscan.h \
+ jsscope.h \
+ jsscript.h \
+ jsstr.h \
++ jsutil.h \
+ jsxdrapi.h \
+ jsxml.h \
+ $(NULL)
+
+ API_HFILES = \
+ jsapi.h \
+ jsdbgapi.h \
+ $(NULL)